{% extends template_base %}
{% load i18n %}
{% load active_tag %}
{% load md2 %}
{% load humanize %}

{% block title %}Detalle de Trabajador{% endblock %}

{% block page %}
{%if can_show_detail %}
	<!-- begin breadcrumb -->
	<ol class="breadcrumb float-xl-right">
		<li class="breadcrumb-item"><a href="{% url 'home' %}">Home</a></li>
		<li class="breadcrumb-item"><a href="{% url 'worker-list' %}">Trabajadores</a></li>
		<li class="breadcrumb-item active">{{ worker.pk }}</li>
	</ol>
	<!-- end breadcrumb -->

	<!-- begin page-header -->
	<h1 class="page-header">{{ worker.name }}</h1>
	<!-- end page-header -->

	<!-- begin row -->
	<div class="row">
		<!-- begin col-6 -->
		<div class="col-xl-6 ui-sortable">
			<!-- begin panel -->
			<div class="panel panel-inverse" data-sortable-id="ui-general-1">
				<!-- begin panel-heading -->
				<div class="panel-heading ui-sortable-handle">
					<h4 class="panel-title">Datos generales</h4>
					<div class="panel-heading-btn">
						<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
						<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
						<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
						<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i class="fa fa-times"></i></a>
					</div>
				</div>
				<!-- end panel-heading -->
				<!-- begin panel-body -->
				<div class="panel-body">

					<div class="row mb-3">
						<div class="col-sm-12 col-md-12">
							<a class="btn btn-warning btn-sm pull-right" href="{% url 'worker-update' worker.pk %}">Editar</a>
						</div>
					</div>

					<table class="table table-striped">
						<thead>
							<tr>
								<th>Campo</th>
								<th>Valor</th>
							</tr>
						</thead>
						<tbody>
							<tr>
								<td><strong>Nombre</strong></td><td>{{ object.first_name }}</td>
							</tr>
							<tr>
								<td><strong>Apellido</strong></td><td>{{ object.last_name }}</td>
							</tr>
                            <tr>
								<td><strong>Genero</strong></td><td>{{ gender_name }}</td>
							</tr>
							<tr>
								<td><strong>Dirección</strong></td><td>{{ object.address }}</td>
							</tr>
							<tr>
								<td><strong>Teléfono</strong></td><td>{{ object.phone }}</td>
							</tr>
							<tr>
								<td><strong>Email</strong></td><td>{{ object.email }}</td>
							</tr>
							<tr>
								<td><strong>Salario Base</strong></td><td>{{ object.base_salary }}</td>
							</tr>
							<tr>
								<td><strong>Moneda</strong></td><td>{{ object.currency.name}} ({{object.currency.symbol}})</td>
							</tr>
							<tr>
								<td><strong>Fecha de Ingreso</strong></td><td>{{ object.entry_date.date }}</td>
							</tr>
							<tr>
								<td><strong>Tipo de Documento</strong></td><td>{{ document_type_name }}</td>
							</tr>
							<tr>
								<td><strong>Numero de Documento</strong></td><td>{{ object.document_number }}</td>
							</tr>
							<tr>
								<td><strong>Posición</strong></td><td>{{ job_position_name }}</td>
							</tr>
							<tr>
								<td><strong>Departamento</strong></td><td>{{ job_department_name }}</td>
							</tr>
							<tr>
								<td><strong>Activo</strong></td><td>{{ object.active|yesno:"Sí,No" }}</td>
							</tr>
                            <tr>
								<td><strong>Company</strong></td><td>{{ object.company }}</td>
							</tr>
						</tbody>
					</table>
				</div>
				<!-- end panel-body -->
			</div>
			<!-- end panel -->
		</div>
		<!-- end col-6 -->
		<!-- begin col-6 -->
		<div class="col-xl-6 ui-sortable">
			<!-- begin panel -->
			<div class="panel panel-inverse" data-sortable-id="ui-general-4">
				<!-- begin panel-heading -->
				<div class="panel-heading ui-sortable-handle">
					<h4 class="panel-title">Recibos</h4>
					<div class="panel-heading-btn">
						<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
						<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
						<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
						<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i class="fa fa-times"></i></a>
					</div>
				</div>
				<!-- end panel-heading -->
				<!-- begin panel-body -->
				<div class="panel-body">
					<table class="table table-striped">
						<thead>
							<tr>
								<th>ID</th>
								<th>Mes</th>
								<th>Año</th>
								<th>Monto</th>
								<th>Fecha de Emisión</th>
								<th>Descargar</th>
							</tr>
						</thead>
						<tbody>
							{% for r in receipts %}
							<tr>
								<td><a href="/hr/receipts/{{r.pk}}">{{r.pk}}</a></td>
								<td>{{ r.get_month_display }}</td>
								<td>{{ r.year }}</td>
								<td>{{ r.amount }}</td>
								<td>{{ r.issue_date.date }}</td>
								<td><a href="/hr/receipts/{{r.pk}}/download_pdf/"> <button type="button" class="btn btn-secondary" title="Descargar pdf"><i class="fa fa-download" ></i></button></a></td>
							</tr>
							{% endfor %}
						
						</tbody>
					</table>
				</div>
				<!-- end panel-body -->
			</div>
			<!-- end panel -->
		</div>
	</div>
	</div>
	<!-- end row -->

	<!-- begin scroll to top btn -->
	<a href="javascript:;" class="btn btn-icon btn-circle btn-success btn-scroll-to-top fade" data-click="scroll-top"><i class="fa fa-angle-up"></i></a>
	<!-- end scroll to top btn -->
	{%else%}
	<div class="alert alert-success"  style="background-color: rgb(245, 156, 26); text-align: center;" role="alert">
		<h4 class="alert-heading">No encontrado</h4>
		<hr>
		<h5 class="mb-0">Cambie de operador o vuelva al listado de clientes.</h5>
	</div>
	{%endif%}
{% endblock %}